summaryrefslogtreecommitdiffhomepage
path: root/release.sh
diff options
context:
space:
mode:
authorMatt Johnston <matt@ucc.asn.au>2021-03-31 23:23:14 +0800
committerMatt Johnston <matt@ucc.asn.au>2021-03-31 23:23:14 +0800
commit325d0c1d02d99bbc844af21fad16db1691d419fc (patch)
tree8ccd894f8e030facc52889d2aa9ad563c0f42ee4 /release.sh
parent17f209f9b77b4c80e14d136097aa75a0cbcce1b7 (diff)
Add configure script to version control. Set timezone for release tarball
Diffstat (limited to 'release.sh')
-rwxr-xr-xrelease.sh8
1 files changed, 3 insertions, 5 deletions
diff --git a/release.sh b/release.sh
index 091b136..b399411 100755
--- a/release.sh
+++ b/release.sh
@@ -36,17 +36,15 @@ fi
hg archive "$RELDIR" || exit 2
-(cd "$RELDIR" && autoconf && autoheader) || exit 2
-
-rm -r "$RELDIR/autom4te.cache" || exit 2
-
rm "$RELDIR/.hgtags"
RELDATE=$(head -n1 CHANGES | cut -d - -f 2)
+# timezone keeps it consistent, choose a plausible release time
+RELTIME="22:30:00 +0800"
# from https://reproducible-builds.org/docs/archives/
TAROPTS="--sort=name --owner=0 --group=0 --numeric-owner"
-(cd "$RELDIR/.." && $TAR cjf $ARCHIVE $TAROPTS --mtime="$RELDATE" `basename "$RELDIR"`) || exit 2
+(cd "$RELDIR/.." && $TAR cjf $ARCHIVE $TAROPTS --mtime="$RELDATE $RELTIME" `basename "$RELDIR"`) || exit 2
ls -l $ARCHIVE
openssl sha256 $ARCHIVE